MetricSetControllerReplaceElementOnMetricSet Method |
POST /MetricSet/ReplaceElement/{id}
Replaces an element in a metric set.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPostAttribute]
[ActionNameAttribute("ReplaceElement")]
public HttpResponseMessage ReplaceElementOnMetricSet(
Guid id,
[FromBodyAttribute] ReplaceElementOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("ReplaceElement")>
Public Function ReplaceElementOnMetricSet (
id As Guid,
<FromBodyAttribute> options As ReplaceElementOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"ReplaceElement")]
HttpResponseMessage^ ReplaceElementOnMetricSet(
Guid id,
[FromBodyAttribute] ReplaceElementOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("ReplaceElement")>]
member ReplaceElementOnMetricSet :
id : Guid *
[<FromBodyAttribute>] options : ReplaceElementOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the metric set. - options
- Type: Dundas.BI.WebApi.ModelsReplaceElementOptions
The options for replacing the element on the metric set. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also